<?php
$theme_namespace = 'homegrade-theme__texte-fonctionnel';
function getThematiqueFamilySlug($thematique_slug)
{
	if (!$thematique_slug) {
		return null;
	}
	switch ($thematique_slug) {
		case "energie":
		case "urbanisme":
		case "stedenbouw":
			return "energies-urbanisme";

		case "acoustique":
		case "akoestiek":
		case "petites-coproprietes":
		case "kleine-mede-eigendommen":
			return "acoustique-coproprietes";

		case "isolation":
		case "isolatie":
		case "au-quotidien":
			return "isolation-quotidien";

		case "energies":
		case "urbanisme":
		case "stedenbouw":
			return "energies-urbanisme";

		case "patrimoine":
		case "erfgoed":
		case "renovation":
			return "patrimoine-renovation";

		case "location":
		case "verhuur":
		case "circulaire-renovatie":
		case "renovation-circulaire":
			return "location-renovation-circulaire";
	}
}

function getParentThematique($thematique)
{
	if (!$thematique) {
		return null;
	}

	if ($thematique->parent == 0) {
		return $thematique;
	} else {
		return get_term($thematique->parent, 'thematiques');
	}
}

// DOES THE SAME THING AS ABOVE BUT RENAMED
function getMainThematique($thematique)
{
	if (!$thematique) {
		return null;
	}

	if ($thematique->parent == 0) {
		return $thematique;
	} else {
		return get_term($thematique->parent, 'thematiques');
	}
}






// Get automatic post used in BLOCK QUESTIONS FREQUENTES
function get_automatic_post($post_thematique)
{
	$automatic_query_args = array(
		'post_per_page' => 1,
		'post_status' => 'publish',
		'post_type' => 'questions',
		'thematiques' => $post_thematique,
	);
	return get_posts($automatic_query_args)[0] ?? null;
}


// TO GET ARCHIVE RELATED PAGES BY TEMPLATE
function get_page_by_template($template = '')
{
	$args = array(
		'meta_key' => '_wp_page_template',
		'meta_value' => $template
	);
	return get_pages($args);
}
